<template>
    <div>
        <table>
            <thead>
                <tr>
                    <th>Title</th>
                    <th>Start Time</th>
                    <th>End Time</th>
                    <th>Max Kp I</th>
                    <th>Created At</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="item in filterList" :key="item.id">
                    <td>{{ item.params.title }}</td>
                    <td>{{ item.params.time_interval.start }}</td>
                    <td>{{ item.params.time_interval.end }}</td>
                    <td>{{ item.params.max_kp_i }}</td>
                    <td>{{ item.created_at }}</td>
                    <td><a :href="'http://localhost:8080/filter/download/' + item.id">download<i
                                class="fas fa-download"></i></a>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</template>
  
<script>
import axios from 'axios';
import { API_ROUTES } from '../consts';

export default {
    name: "Filtered",
    data() {
        return {
            filterList: [],
        };
    },
    mounted() {
        this.getFilterList();
    },
    methods: {
        getFilterList() {
            axios
                .get(API_ROUTES.filter.list)
                .then((response) => {
                    this.filterList = response.data;
                })
                .catch((error) => {
                    console.log(error);
                });
        },
    },
};
</script>
  
<style scoped>
table {
    border-collapse: collapse;
    width: 100%;
}

th,
td {
    text-align: left;
    padding: 8px;
    border-bottom: 1px solid #ddd;
}

tr:hover {
    background-color: #f5f5f5;
}

.fa-download {
    color: blue;
}

a {
    color: gray;
}
</style>